Bug 829580 - Review Request: python-traitsui - User interface tools designed to complement Traits
Review Request: python-traitsui - User interface tools designed to complement...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alec Leamas
Fedora Extras Quality Assurance
:
Depends On: 955801
Blocks: 958523
  Show dependency treegraph
 
Reported: 2012-06-07 00:50 EDT by Orion Poplawski
Modified: 2013-05-01 18:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-01 18:12:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leamas.alec: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2012-06-07 00:50:08 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/python-traitsui.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-traitsui-4.2.0-1.fc17.src.rpm
Description: 
The TraitsUI package is a set of user interface tools designed to complement
Traits. In the simplest case, it can automatically generate a user interface
for editing a Traits-based object, with no additional coding on the part of
the programmer-user. In more sophisticated uses, it can implement a Model-
View-Controller (MVC) design pattern for Traits-based objects. 

Fedora Account System Username: orion

This is needed for Mayavi 4.2.0 already in Fedora Rawhide.

Still need to do a thorough license check.

Possibly should name it python-TraitsUI to be more in sync with other Enthought packages, though tarball and python module is called traitsui.
Comment 1 Mario Blättermann 2012-10-06 12:20:29 EDT
Please remove the unneeded comment and the CFLAGS statement in %install.

Initial cleaning of %buildroot in %install is obsolete, unless you want to provide a package for el5. This artifact is from "rpmdev-newspec python", actually not needed.

Your srpm contains the old spec file, with the license named "Check". This produces some blurb from rpmlint...

The summary is still empty, and BTW, it doesn't begin with a capital letter ;)

The %doc macro in %files is empty. It should contain at least the license texts, README.rst, TODO.rst and the "example" and "docs" folders.
Comment 2 Orion Poplawski 2012-10-06 17:17:32 EDT
http://www.cora.nwra.com/~orion/fedora/python-traitsui.spec
http://www.cora.nwra.com/~orion/fedora/python-traitsui-4.2.0-2.fc17.src.rpm

* Sat Oct 6 2012 Orion Poplawski <orion@cora.nwra.com> - 4.2.0-2
- Drop CFLAGS comment
- Drop buildroot cleanup
- Add docs and examples to %doc

spec and srpm should be in sync now
Comment 3 Mario Blättermann 2012-10-06 17:30:01 EDT
Scratch build for f18 fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4567492

From build.log:

+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 5, in <module>
    from setuptools import setup, find_packages
ImportError: No module named setuptools

You'll need python-setuptools in BuildRequires.
Comment 4 Orion Poplawski 2012-10-06 18:22:50 EDT
* Sat Oct 6 2012 Orion Poplawski <orion@cora.nwra.com> - 4.2.0-3
- Add BR python-setuptools

rpmlint shows:

python-traitsui.noarch: W: file-not-utf8 /usr/share/doc/python-traitsui-4.2.0/docs/Pydoh_T3UMdoc_HOWTO.txt
python-traitsui.noarch: W: hidden-file-or-dir /usr/share/doc/python-traitsui-4.2.0/docs/source/.templates
python-traitsui.noarch: W: hidden-file-or-dir /usr/share/doc/python-traitsui-4.2.0/docs/source/.templates
python-traitsui.noarch: W: file-not-utf8 /usr/share/doc/python-traitsui-4.2.0/image_LICENSE_Eclipse.txt
python-traitsui.noarch: W: hidden-file-or-dir /usr/share/doc/python-traitsui-4.2.0/docs/source/.static
python-traitsui.noarch: W: hidden-file-or-dir /usr/share/doc/python-traitsui-4.2.0/docs/source/.static

I tried to convert the txt files to utf-8 with iconv, but that failed, apparently because they are unknown:

image_LICENSE_Eclipse.txt: Non-ISO extended-ASCII text, with very long lines
docs/Pydoh_T3UMdoc_HOWTO.txt: Non-ISO extended-ASCII text, with LF, NEL line terminators

I'll ping upstream about that.

Not sure if the hidden dirs are important or not.
Comment 5 Mario Blättermann 2012-11-01 16:41:56 EDT
Any news...?
Comment 6 Orion Poplawski 2012-11-01 18:21:48 EDT
I thought I filed an issue on this, but apparently not.  Just did:
https://github.com/enthought/traitsui/issues/87
Comment 7 Orion Poplawski 2012-12-05 11:41:59 EST
http://www.cora.nwra.com/~orion/fedora/python-traitsui.spec
http://www.cora.nwra.com/~orion/fedora/python-traitsui-4.2.0-4.fc18.src.rpm

* Wed Dec 5 2012 Orion Poplawski <orion@cora.nwra.com> - 4.2.0-4
- Add upstream patch to move to UTF-8 and remove hidden directories
Comment 8 Mario Blättermann 2012-12-15 16:21:03 EST
Just found another issue:

BuildRequires:  python-devel
has to be
BuildRequires:  python2-devel
since we have an explicite support for two-way builds for Python 2 and Python 3.
Comment 9 Orion Poplawski 2012-12-18 22:29:13 EST
http://www.cora.nwra.com/~orion/fedora/python-traitsui.spec
http://www.cora.nwra.com/~orion/fedora/python-traitsui-4.2.0-5.fc18.src.rpm

* Tue Dec 18 2012 Orion Poplawski <orion@cora.nwra.com> - 4.2.0-5
- Change BR to python2-devel
Comment 10 Orion Poplawski 2013-04-23 17:51:16 EDT
http://www.cora.nwra.com/~orion/fedora/python-traitsui.spec
http://www.cora.nwra.com/~orion/fedora/python-traitsui-4.3.0-1.fc18.src.rpm

* Tue Apr 23 2013 Orion Poplawski <orion@cora.nwra.com> - 4.3.0-1
- Update to 4.3.0
Comment 11 Alec Leamas 2013-05-01 15:41:51 EDT
I'll make this review

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Large documentation must go in a -doc subpackage.
  Note: Documentation size is 9400320 bytes in 294 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
  --> A -doc package seems indeed  motivated.
- The top python_sitelib definition is not necessary.
- The wildcard in %files is too generic, please specify the involved files.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 443 files have unknown license. Detailed output
     of licensecheck in /home/mk/FedoraReview/829580-python-
     traitsui/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-traitsui-4.3.0-1.fc20.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint python-traitsui
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'


Requires
--------
python-traitsui (rpmlib, GLIBC filtered):
    python(abi)
    python-pyface


Provides
--------
python-traitsui:
    python-traitsui


Source checksums
----------------
http://www.enthought.com/repo/ets/traitsui-4.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : f5d3c41020f3caedf9b5dbdc12ba64704cdf72340385614012515fdf885ef17b
  CHECKSUM(SHA256) upstream package : f5d3c41020f3caedf9b5dbdc12ba64704cdf72340385614012515fdf885ef17b


Generated by fedora-review 0.4.0 (9b8c0b0) last change: 2013-04-27
Buildroot used: fedora-rawhide-i386
Command line :./try-fedora-review -b 829580
Comment 12 Orion Poplawski 2013-05-01 16:10:21 EDT
http://www.cora.nwra.com/~orion/fedora/python-traitsui.spec
http://www.cora.nwra.com/~orion/fedora/python-traitsui-4.3.0-2.fc18.src.rpm

* Wed May 1 2013 Orion Poplawski <orion@cora.nwra.com> - 4.3.0-2
- Split documentation in to doc sub-package
- Add requires numpy
- More explicit file listing
- Drop sitelib macro
Comment 13 Alec Leamas 2013-05-01 16:17:21 EDT
Looks good

**Approved
Comment 14 Orion Poplawski 2013-05-01 16:20:16 EDT
Thanks! Envisage won't be ready until I get a chance to test against this.

New Package SCM Request
=======================
Package Name: python-traitsui
Short Description: User interface tools designed to complement Traits
Owners: orion
Branches: f18 f19 el6
InitialCC:
Comment 15 Gwyn Ciesla 2013-05-01 17:01:34 EDT
Git done (by process-git-requests).
Comment 16 Orion Poplawski 2013-05-01 18:12:30 EDT
Checked in and built.

Note You need to log in before you can comment on or make changes to this bug.